changelogs.md


dturton/nuxt-shopify

Repository  -  API  -  Source

1.4.2

September 21, 2019

Dependencies

  • config: add .versionrc (2fa8053)
  • config: fix eslint & implement commitlint with husky (47e7612)
  • dependencies: update shopify-buy to 2.6.1 (23feb14)
  • deps: bump lodash from 4.17.11 to 4.17.15 (ad3ed2b)
  • deps: bump lodash.template from 4.4.0 to 4.5.0 (4377ce7)
  • deps: bump mixin-deep from 1.3.1 to 1.3.2 (a80471b)
  • deps: bump shopify-buy from 2.7.1 to 2.7.2 (8606f4d)
  • deps: upgrade dependencies (e35a46c)
  • deps: upgrade dependencies (20931b3)
  • deps: upgrade dependencies (37df225)
  • deps: upgrade dependencies (fa9d2c1)
  • deps: upgrade dependencies (a09ee0f)
  • deps: upgrade dependencies (0d8f3ed)
  • deps: upgrade dependencies (ba35a44)
  • deps: upgrade dependencies (e94499e)
  • deps: upgrade dependencies (11781f1)
  • deps: upgrade dependencies (3cafb11)
  • deps: upgrade dependencies (c5a0190)
  • deps: upgrade dependencies (7ba29a6)
  • deps: upgrade dependencies (9c33d27)
  • deps: upgrade dependencies (8a882db)
  • deps: upgrade dependencies (5b77cbf)
  • deps: upgrade dependencies (d2f98ba)
  • deps: upgrade dependencies (b3b9320)
  • deps: upgrade dependencies & types (bc890b1)
  • deps-dev: bump @commitlint/cli from 8.1.0 to 8.2.0 (5c6f0cf)
  • deps-dev: bump @commitlint/config-conventional (d2b58dc)
  • deps-dev: bump @nuxt/types from 0.2.11 to 0.2.13 (d0e883c)
  • deps-dev: bump @nuxt/types from 0.2.13 to 0.2.14 (d3f795f)
  • deps-dev: bump @types/node from 12.0.2 to 12.0.3 (0adfb6b)
  • deps-dev: bump @types/node from 12.7.4 to 12.7.5 (415bd9a)
  • deps-dev: bump @typescript-eslint/eslint-plugin (aac2425)
  • deps-dev: bump @typescript-eslint/eslint-plugin (acac32b)
  • deps-dev: bump @typescript-eslint/parser from 2.1.0 to 2.2.0 (4dbb695)
  • deps-dev: bump @typescript-eslint/parser from 2.2.0 to 2.3.0 (152d73d)
  • deps-dev: bump eslint from 6.3.0 to 6.4.0 (81beb9c)
  • deps-dev: bump eslint-config-airbnb-typescript (7af0848)
  • deps-dev: bump eslint-config-prettier from 6.2.0 to 6.3.0 (c85a74f)
  • deps-dev: bump eslint-plugin-prettier from 3.1.0 to 3.1.1 (5c8c7bf)
  • deps-dev: bump ts-jest from 24.0.2 to 24.1.0 (d35d52f)
  • deps-dev: bump ts-node from 8.3.0 to 8.4.1 (c677c4c)
  • deps-dev: bump typescript from 3.4.5 to 3.5.1 (8e8966a)
  • deps-dev: bump typescript from 3.6.2 to 3.6.3 (cfaed15)

1.4.1

  • deps: update dependency shopify-buy to 2.7.1
  • chore: :label: chore(types): support types for Nuxt > 2.9

1.4.0

  • deps: update dependency shopify-buy to 2.7.0
  • fix: types: move @types/shopify-buy to dependencies

1.3.2

  • deps: update dependency @types/shopify-buy to 1.4.3

1.3.1

  • deps: update dependency shopify-buy to 2.6.1

1.3.0

  • deps: update dependency shopify-buy to 2.6.0

The shopify-buy v2.6.0 introduces API Versioning! Starting with this release, each release will be tied to a new API version. Learn more about versioning here.

1.2.0

  • deps: update dependency shopify-buy to 2.5.0

1.1.0

  • deps: update dependency shopify-buy to 2.4.0

1.0.5

April 23, 2019
  • deps: update dependency shopify-buy to 2.2.4

1.0.4

April 23, 2019
  • deps: update dependency shopify-buy to 2.2.3

1.0.3

April 23, 2019
  • deps: update dependency shopify-buy to 2.2.2

1.0.2

April 14, 2019
  • deps: update dependency shopify-buy to 2.2.1

Bug Fixes

  • tests: fix mounted test (5d3f081)

1.0.1

April 2, 2019